
# Clearing Object Detection with YOLOv8

## Overview

This folder contains a YOLOv8-based detection model named `clearing-object-detection.pt`. The model is designed for the purpose of detecting foreign objects in powerline clearing areas using oblique aerial imagery.

## Installation

To use the YOLOv8 model for clearing object detection, please follow the installation instructions provided in the official [Ultralytics documentation](https://docs.ultralytics.com/). Ensure you have all the necessary dependencies and configurations in place.

## Usage

1. **Model Download:**

   First, download the pre-trained YOLOv8 model, `clearing-object-detection.pt`.

2. **Inference:**

   You can use the model for inference on your own aerial imagery. The Ultralytics documentation provides detailed guidance on how to perform inference with the YOLOv8 model.

3. **Fine-tuning (Optional):**

   If you wish to fine-tune the model for your specific use case, follow the guidelines and best practices outlined in the Ultralytics documentation.


## License

This YOLOv8 clearing object detection model is distributed under the [Creative Commons Attribution 4.0 International License](LICENSE). You are free to use, modify, and distribute this model, subject to the terms and conditions of the Creative Commons Attribution 4.0 International License.

## Contact

For any inquiries or support, please feel free to contact us at [info@thrust.lt].